From 13af5ccb767a0c9cd3ecbe563e1564af9f5c5131 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 17 2020 20:29:06 +0000
Subject: [PATCH 152/2232] Select a single docs.rs build target


---

diff --git a/Cargo.toml b/Cargo.toml
index f81cdb9..8432bc7 100644
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -36,3 +36,6 @@ trybuild = "1.0.21"
 
 [workspace]
 members = ["cmd", "demo-rs", "macro", "tests/ffi"]
+
+[package.metadata.docs.rs]
+targets = ["x86_64-unknown-linux-gnu"]
diff --git a/cmd/Cargo.toml b/cmd/Cargo.toml
index 4e83b81..7ee974c 100644
--- a/cmd/Cargo.toml
+++ b/cmd/Cargo.toml
@@ -23,3 +23,6 @@ quote = "1.0"
 structopt = "0.3"
 syn = { version = "1.0", features = ["full"] }
 thiserror = "1.0"
+
+[package.metadata.docs.rs]
+targets = ["x86_64-unknown-linux-gnu"]
diff --git a/macro/Cargo.toml b/macro/Cargo.toml
index 707a19b..635d7cc 100644
--- a/macro/Cargo.toml
+++ b/macro/Cargo.toml
@@ -20,3 +20,6 @@ syn = { version = "1.0", features = ["full"] }
 
 [dev-dependencies]
 cxx = { version = "0.2", path = ".." }
+
+[package.metadata.docs.rs]
+targets = ["x86_64-unknown-linux-gnu"]

